# Uses of Class
javax.management.MBeanOperationInfo

Packages that use MBeanOperationInfo
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of MBeanOperationInfo in javax.management

Methods in javax.management that return MBeanOperationInfo
Modifier and Type
Method
Description
`MBeanOperationInfo[]`
MBeanInfo.`getOperations()`
Returns the list of operations of the MBean.
Methods in javax.management with parameters of type MBeanOperationInfo
Modifier and Type
Method
Description
`protected String`
StandardMBean.`getDescription​(MBeanOperationInfo info)`
Customization hook: Get the description that will be used in the MBeanOperationInfo returned by this MBean.
`protected String`
StandardMBean.`getDescription​(MBeanOperationInfo op, MBeanParameterInfo param, int sequence)`
Customization hook: Get the description that will be used for the sequence MBeanParameterInfo of the MBeanOperationInfo returned by this MBean.
`protected int`
StandardMBean.`getImpact​(MBeanOperationInfo info)`
Customization hook: Get the impact flag of the operation that will be used in the MBeanOperationInfo returned by this MBean.
`protected String`
StandardMBean.`getParameterName​(MBeanOperationInfo op, MBeanParameterInfo param, int sequence)`
Customization hook: Get the name that will be used for the sequence MBeanParameterInfo of the MBeanOperationInfo returned by this MBean.
Constructors in javax.management with parameters of type MBeanOperationInfo
Modifier
Constructor
Description
``
`MBeanInfo​(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)`
Constructs an `MBeanInfo`.
``
`MBeanInfo​(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications, Descriptor descriptor)`
Constructs an `MBeanInfo`.

## Uses of MBeanOperationInfo in javax.management.modelmbean

Subclasses of MBeanOperationInfo in javax.management.modelmbean
Modifier and Type
Class
Description
`class`
`ModelMBeanOperationInfo`
The ModelMBeanOperationInfo object describes a management operation of the ModelMBean.
Methods in javax.management.modelmbean that return MBeanOperationInfo
Modifier and Type
Method
Description
`MBeanOperationInfo[]`
ModelMBeanInfo.`getOperations()`
Returns the list of operations of the MBean.

## Uses of MBeanOperationInfo in javax.management.openmbean

Subclasses of MBeanOperationInfo in javax.management.openmbean
Modifier and Type
Class
Description
`class`
`OpenMBeanOperationInfoSupport`
Describes an operation of an Open MBean.
Methods in javax.management.openmbean that return MBeanOperationInfo
Modifier and Type
Method
Description
`MBeanOperationInfo[]`
OpenMBeanInfo.`getOperations()`
Returns an array of `OpenMBeanOperationInfo` instances describing each operation in the open MBean described by this `OpenMBeanInfo` instance.